﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Documents.Excel;
using System.Drawing;

namespace ExcelImageTest
{
	class Program
	{
		static void Main(string[] args)
		{
			var workbook = new Workbook();
			var worksheet1 = workbook.Worksheets.Add("Sheet1");
			//var image1 = ExcelImageTest.Properties.Resources.HomePageHH;
			var image1 = Image.FromFile("HomePageHH.bmp");
			var imageShape1 = new WorksheetImage(image1);
			imageShape1.TopLeftCornerCell = worksheet1.Rows[0].Cells[0];
			imageShape1.TopLeftCornerPosition = new PointF(50, 50);
			imageShape1.BottomRightCornerCell = worksheet1.Rows[1].Cells[1];
			imageShape1.BottomRightCornerPosition = new PointF(50, 50);
			var group = new WorksheetShapeGroup();
			group.Shapes.Add(imageShape1);
			worksheet1.Shapes.Add(group);
			workbook.SetCurrentFormat(WorkbookFormat.Excel2007);
			workbook.Save("workbook.xlsx");
		}
	}
}
